--强化大师
checkRequire("Lua_EquipStrongMasterBasePanel")
Lua_EquipMasterPanel = class("Lua_EquipMasterPanel", Lua_EquipStrongMasterBasePanel);
function Lua_EquipMasterPanel:ctor(p)
    self:superCall("ctor", p);
end

function Lua_EquipMasterPanel:buildShowItem()
    self:superCall("buildShowItem");
    self.title_txt:setLangValue(126769);
    self.attar_txt:setLangValue(126770);
    self.tips_txt:setLangValue(126772);
end

function Lua_EquipMasterPanel:updatePanel(hero_uid)
    self.hvo = DataCenter.heroData:getItemByUniqueId(hero_uid);
    if self.hvo == nil then
        return
    end
    local equipInfo = self.hvo.equipInfo;
    for i=1, self.showEquipArr:getSize() do
        self.showEquipArr[i]:setData(equipInfo[i], 1);
    end

    local master_levl = DataCenter.equipUtil:getEquipMasterLevelByHeroUid(hero_uid);
    local activate_id = DataCenter.equipUtil:getMasterActivateIdByMasterLevel(master_levl);
    local attrArr = DataCenter.equipUtil:getStrongMasterProp(activate_id);

    if activate_id == 0 then --未激活属性
    	self.not_spr:setAltas("hero_equip_altas", "xui_zb_label_1");
        self.not_spr:setEnable(true);
        self.max_spr:setEnable(false);

    	self.left_txt:setEnable(false);
    	self.right_txt:setEnable(true);
    	self.right_txt.text = LanUtil.formateStr(126771,tostring(DataCenter.equipUtil.strong_master_min_id));

    	self:showRightAttr(attrArr);
    else
    	self.left_txt:setEnable(true);
    	self.not_spr:setEnable(false);
    	self.left_txt.text = LanUtil.formateStr(126771,tostring(activate_id))

    	local next_id = DataCenter.equipUtil:getNextStrongMasterLevel(activate_id);
    	if next_id == nil then--最大等级
	    	self:showLeftAttr(attrArr);
	    	self.right_txt:setEnable(false);
    
    		self.max_spr:setEnable(true);
    		self.max_spr:setAltas("hero_equip_altas","xui_zb_label_2");
    	else
	    	self.right_txt:setEnable(true);
	    	self.right_txt.text = LanUtil.formateStr(126771,tostring(next_id));

    		self:showLeftAttr(attrArr);
    		self:showRightAttr(attrArr);
    		self.max_spr:setEnable(false);
    	end
    end
end

function Lua_EquipMasterPanel:dispose()
    self:superCall("dispose");
end