--重铸技能描述
Lua_RunesRecastSkillDesWindow = class("Lua_RunesRecastSkillDesWindow", Lua_Window);
function Lua_RunesRecastSkillDesWindow:ctor()
    self:superCall("ctor");

    self.w = 544;
    self.h = 385;
    self.windowName = "Lua_RunesRecastSkillDesWindow";
    self.skinName = "RunesSkillDesWindow_skin";
    self.layer = Lua_MainWinDefine.TIPS_WINDOW_LAYER;
    self.showBlackMask = true;
    self.isClickClose = true;
end

function Lua_RunesRecastSkillDesWindow:buildShowItem()
    self:superCall("buildShowItem");

    self.itemIcon = UICreate.createUIAtlasImage(self.showObject, nil, nil, -193, -57, 112, 112);
    self.extra_des:setLangValue(126829);
    self.skill_tips:setLangValue(126830);
end

function Lua_RunesRecastSkillDesWindow:dispose()
    if self.scoreNum ~= nil then
        self.scoreNum:dispose();
        self.scoreNum = nil;
    end
    self.itemIcon = nil;
    self:superCall("dispose");
end

function Lua_RunesRecastSkillDesWindow:showWin(param)
    self:superCall("showWin", param);

    self.winBg:setAltas("common_altas_2", "xui_common_itembg_"..(param.color + 6));
    self.itemIcon:setAltas(param.atlas, param.sprite);
    local colorStr = Lua_ColorDefine.getItemColorStr(param.color, true);
    self.nameText.text = Lua_ColorDefine.getColorStr(colorStr, param.name);
    if param.score > 0 then
        self.scoreNum = Lua_NumberImage.new(self.showObject);
        self.scoreNum:setLocation(-80, -75, 0);
        self.scoreNum.pivot = 1;
        self.scoreNum.numOffsetX = -4;
        self.scoreNum.numAtlas = "number";
        self.scoreNum.preStr = "xui_zl1_number_0";
        self.scoreNum.num = param.score;

        self.scoreText:setEnable(true);
    else
        self.scoreText:setEnable(false);
    end
    local height = 150+14+22;
    local posY = -164;
    self.attr_des.text = param.attr_des;
    self.attr_des:resetSize();
    posY = posY-self.attr_des.height - 8;
    height = self.attr_des.height + height + 8;
   
    self.extra_des:setLocation(-238, posY, 0);
    self.extra_des:resetSize();
    posY = posY - self.extra_des.height - 11;
    height = self.extra_des.height + height + 11;

    self.skill_text:setLocation(-250, posY, 0);
    self.skill_text:resetSize();
    posY = posY - self.skill_text.height - 11;
    height = self.skill_text.height + height + 11;

    self.skill_des:setLocation(-238, posY, 0);
    self.skill_des.text = param.skill_des;
    self.skill_des:resetSize();
    posY = posY - self.skill_des.height - 11;
    height = self.skill_des.height + height + 11;

    self.skill_tips:setLocation(-238, posY, 0);
    self.skill_tips:resetSize();
    height = self.skill_tips.height + height;


    self.winBg:SetDimensions(544, height);
end