-- 战法 技能Buffitem
Lua_TacticSkillBuffItem = class("Lua_TacticSkillBuffItem", Lua_DisplayObject);

function Lua_TacticSkillBuffItem:ctor(p)
    self:superCall("ctor", p, "TacticSkillBuffItem_skin");
end

function Lua_TacticSkillBuffItem:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_TacticSkillBuffItem:setData(buffId)
    local config = Lua_BuffConfigData.getConfigData(buffId);
    local height = 32;
    if config ~= nil then
        self.nameTxt.text = LanUtil.formateStr(792038, config.name);
        self.descTxt.text = config.effect_des;
        self.descTxt:resetSize();
        height = height + self.descTxt.height;
    end
    self.height = height + 10;
end

function Lua_TacticSkillBuffItem:setTxtWidth(width)
    self.descTxt:SetDimensions(width, 31);
end

function Lua_TacticSkillBuffItem:dispose()
    self:superCall("dispose");
end

function Lua_TacticSkillBuffItem:getHeight()
    return self.height;
end