-- 战法 技能描述item
Lua_TacticSkillDescItem = class("Lua_TacticSkillDescItem", Lua_DisplayObject);

function Lua_TacticSkillDescItem:ctor(p)
    self:superCall("ctor", p, "TacticSkillDescItem_skin");
end

function Lua_TacticSkillDescItem:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_TacticSkillDescItem:setData(desStr, lockStr, isUnlock)
    local colorStr;
    if isUnlock then
        colorStr = "FFFFFF";
    else
        colorStr = "898b8a";
        desStr = string.gsub(desStr, "52b16b", "b2464b");
    end
    self.descTxt.text = Lua_ColorDefine.getColorStr(colorStr, desStr);
    self.descTxt:resetSize();

    local height = self.descTxt.height;
    if not isUnlock then
        self.lockTxt.text = Lua_ColorDefine.getColorStr("b2464b", lockStr);
        self.lockTxt:setLocation(-2.5, -height, 0);
        height = height + 32;
    end
    self.height = height + 10;
end

function Lua_TacticSkillDescItem:setTxtWidth(width)
    self.descTxt:SetDimensions(width, 31);
    self.lockTxt:SetDimensions(width, 31);
end

function Lua_TacticSkillDescItem:dispose()
    self:superCall("dispose");
end

function Lua_TacticSkillDescItem:getHeight()
    return self.height;
end