--装备主属性展示
Lua_EquipBaseAttrItem = class("Lua_EquipBaseAttrItem", Lua_DisplayObject);
function Lua_EquipBaseAttrItem:ctor(p, typev)
    -- 1 强化 2重铸
    self.typev = typev;
    self:superCall("ctor", p, "EquipBaseAttrItem_skin");
end

function Lua_EquipBaseAttrItem:buildShowItem()
    self:superCall("buildShowItem");
    self.add_obj:SetActive(false);
end

function Lua_EquipBaseAttrItem:setBgEnable(bool)
    self.bg_spr:setEnable(bool);
end

function Lua_EquipBaseAttrItem:setData(attr_vo)
	self.attr_vo = attr_vo;
    self.name_txt.text = attr_vo.show_name..":";

    local color = "FFFFFF";
    if self.typev == 2 then--重铸
        color = "63C07A";
    end
    local str = Lua_ColorDefine.getColorStr(color, "+"..attr_vo.showValue);
    self.value_txt.text = str;
end

--展示强化
function Lua_EquipBaseAttrItem:showBaseStrong(equip_id, strong_level, cur_level)
    if strong_level - cur_level > 0 then
        self.bUpLevel = true;
        self.add_obj:SetActive(true);
        --装备等级配置id = id*100 + 强化等级
        local equipLevelId = equip_id*100 + strong_level;
        local showValue = DataCenter.equipUtil:getEquipAttrValue(equipLevelId, self.attr_vo.id) - self.attr_vo.showValue;
        self.add_txt.text = "+"..showValue;
    else
        self.add_obj:SetActive(false);
    end
end

--强化特效
function Lua_EquipBaseAttrItem:showEffect(bool)
    if bool and self.bUpLevel then
        if self.eff == nil then
            self.eff = UICreate.createUIEffect(self.content, "/effects/uiEffects/ui_zb_cz_01", "ui_zb_cz_01", 110, 0);
        end
        self.bUpLevel = nil;
        self.eff:setEnable(false);
        self.eff:setEnable(true);
    else
        if self.eff ~= nil then
            self.eff:setEnable(false);
        end
    end
end

function Lua_EquipBaseAttrItem:dispose()
	self.attr_vo = nil;
    if self.eff ~= nil then
        self.eff:dispose();
        self.eff = nil;
    end
    self:superCall("dispose");
end