--装备副属性
Lua_EquipExtraAttrItem = class("Lua_EquipExtraAttrItem", Lua_DisplayObject);
function Lua_EquipExtraAttrItem:ctor(p,typev)
    self.typev = typev;
    self:superCall("ctor", p, "EquipExtraAttrItem_skin");
end

function Lua_EquipExtraAttrItem:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_EquipExtraAttrItem:setBgEnable(bool)
    self.bg_spr:setEnable(bool);
end

--副属性  data : ProtoEquipExtraProp结构体数据
function Lua_EquipExtraAttrItem:setData(data, limit_lvl)
    self.data = data;
    self.limit_lvl = limit_lvl;

    if data == nil then --副属性词条未解锁
        self.grade_spr:setEnable(false);
        self.value_txt:setEnable(false);
        self.icon_spr:setAltas("common_altas_2","xui_common_z3");--问号

        local str = LanUtil.formateStr(126780, tostring(limit_lvl));
        self.name_txt.text = Lua_ColorDefine.getColorStr("c3c3c3", str);
        self.name_txt:setLocation(28,1,0);    
    else
        local attr_vo = DataCenter.attributesUtil:createAttrVo(data.name);
        if attr_vo == nil then
            return
        end
        self.icon_spr:setAltas("common_altas_2","xui_common_z2");--问号

        local str = attr_vo.show_name..":";
        self.name_txt.text = Lua_ColorDefine.getColorStr("ffffff", str);
        self.name_txt:resetSize()
        self.name_txt:setLocation(64,1,0);

        local color = "FFFFFF";
        if self.typev == 2 then--重铸
            color = "63C07A";
        end
        local str = "+"..DataCenter.equipUtil:getEquipAttrValueStr(data.value, attr_vo.isPercent);
        self.value_txt.text = Lua_ColorDefine.getColorStr(color, str);
        self.value_txt:setEnable(true);
        self.value_txt:setLocation(64 + self.name_txt.width + 21,0,0)
        self.grade_spr:setAltas("common_altas_3", "xui_zb_label_"..(6+ data.grade));
        self.grade_spr:setEnable(true);
    end
end

--展示强化
function Lua_EquipExtraAttrItem:showStrong(strong_level)
    if self.data == nil and strong_level ~= nil then
        local colorStr = "FFFFFF";
        if self.data == nil then
            colorStr = "c3c3c3";
        end
        if strong_level >= self.limit_lvl then
            colorStr = "63c07a";
        end

        local str = LanUtil.formateStr(126780, self.limit_lvl);
        self.name_txt.text = Lua_ColorDefine.getColorStr(colorStr, str);
    end
end

function Lua_EquipExtraAttrItem:dispose()
    self.data = nil;
    self:superCall("dispose");
end