--强化大师激活
Lua_EquipMasterActivateWindow = class("Lua_EquipMasterActivateWindow", Lua_Window);
function Lua_EquipMasterActivateWindow:ctor()
    self:superCall("ctor");
    self.showClose = false;
    self.showBlackMask = true;
    self.isClickClose = true;
    self.windowName = "Lua_EquipMasterActivateWindow";
    self.skinName="EquipMasterActivateWindow_skin";
end

function Lua_EquipMasterActivateWindow:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_EquipMasterActivateWindow:showWin(param)
	self:superCall("showWin",param);
    self:showAttr(param.attr_info);
    self.tips_txt.text = LanUtil.formateStr(126795,tostring(param.activate_level))
end

function Lua_EquipMasterActivateWindow:showAttr(arr)
    if arr == nil then
        return;
    end
    if self.attrInfo == nil then
        self.attrInfo = Array();
    end
    local item;
    for i=1, arr:getSize() do
        if self.attrInfo[i] ~= nil then
            item = self.attrInfo[i];
        else
            item = Lua_EquipMasterActivateAttrItem.new(self.content, 1);
            self.attrInfo:add(item);
        end
        item:setData(arr[i]);
        item:setLocation(-150, 159 - ( i - 1) * 46, 0);
        item:setEnable(true);
    end 
end

function Lua_EquipMasterActivateWindow:dispose()
    if self.attrInfo ~= nil then
        self.attrInfo:dispose();
        self.attrInfo:clear();
        self.attrInfo = nil;
    end
    self:superCall("dispose");
end












--属性
Lua_EquipMasterActivateAttrItem = class("Lua_EquipMasterActivateAttrItem", Lua_DisplayObject);
function Lua_EquipMasterActivateAttrItem:ctor(p, typev)
    self.typev = typev;
    self:superCall("ctor", p, "EquipMasterActivateAttrItem_skin");
end

function Lua_EquipMasterActivateAttrItem:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_EquipMasterActivateAttrItem:setData(att_vo)
    self.name_txt.text = att_vo.show_name;
    self.value_txt.text = "+"..att_vo.showValue;
end

function Lua_EquipMasterActivateAttrItem:dispose()
    self:superCall("dispose");
end