--装备共鸣
checkRequire("Lua_EquipStrongMasterBasePanel")
Lua_EquipResonancePanel = class("Lua_EquipResonancePanel", Lua_EquipStrongMasterBasePanel);
function Lua_EquipResonancePanel:ctor(p)
    self:superCall("ctor", p);
end

function Lua_EquipResonancePanel:buildShowItem()
    self:superCall("buildShowItem");
    self.title_txt:setLangValue(126773);
    self.attar_txt:setLangValue(126774);
    self.tips_txt:setLangValue(126775);
end

function Lua_EquipResonancePanel:updatePanel(hero_uid)
    self.hvo = DataCenter.heroData:getItemByUniqueId(hero_uid);
    if self.hvo == nil then
        return
    end
    local equipInfo = self.hvo.equipInfo;
    for i=1, self.showEquipArr:getSize() do
        self.showEquipArr[i]:setData(equipInfo[i], 2);
    end
    local activate_id = DataCenter.equipUtil:getResonanceActivateId(self.hvo.unique_id);
    local attrArr = DataCenter.equipUtil:getEpuipReonanceProp(activate_id);
    if activate_id == 0 then --未激活属性
    	self.not_spr:setAltas("hero_equip_altas", "xui_zb_label_1");
        self.not_spr:setEnable(true);
        self.max_spr:setEnable(false);
  
    	self.left_txt:setEnable(false);
    	self.right_txt:setEnable(true);
    	self.right_txt.text = DataCenter.equipUtil:color_name(DataCenter.equipUtil.equip_color_min_id);

    	self:showRightAttr(attrArr);
    else
    	self.left_txt:setEnable(true);
        self.not_spr:setEnable(false);
    	self.left_txt.text = DataCenter.equipUtil:color_name(activate_id);

    	local next_id = DataCenter.equipUtil:getNextEquipColorId(activate_id);
    	if next_id == nil then--最大等级
	    	self:showLeftAttr(attrArr);
	    	self.right_txt:setEnable(false);

            self.max_spr:setEnable(true);
            self.max_spr:setAltas("hero_equip_altas","xui_zb_label_2");
    	else
	    	self.right_txt:setEnable(true);
	    	self.right_txt.text = DataCenter.equipUtil:color_name(next_id);

    		self:showLeftAttr(attrArr);
    		self:showRightAttr(attrArr);
    		self.max_spr:setEnable(false);
    	end
    end
end

function Lua_EquipResonancePanel:dispose()
    self:superCall("dispose");
end