--熔炼奖励
Lua_RunesSmeltRewardWindow = class("Lua_RunesSmeltRewardWindow", Lua_Window);
function Lua_RunesSmeltRewardWindow:ctor()
    self:superCall("ctor");
    self.showBlackMask = true;
    self.isClickClose = true;
    self.showBlackMask = true;
    self.isClickClose = true;
    self.windowName = "Lua_RunesSmeltRewardWindow";
    self.skinName = "RunesSmeltRewardWindow_skin";
end

function Lua_RunesSmeltRewardWindow:buildShowItem()
    self:superCall("buildShowItem");

    self.itemIcon = Lua_ItemIcon.new(self.content);
    self.itemIcon:setLocation(0, 7, 0);
    self.itemIcon:setClick(self, self.onItemClick);

    self.data = DataCenter.runesUtil.smelt_reward_vo;
    self.smelt_tips.text = LanUtil.formateStr(126857, tostring(DataCenter.runesUtil.smelt_value), self.data.name);
    self.itemIcon:setData(self.data);

    local id = DataCenter.runesUtil.smelt_id;
    local num = DataCenter.packData:getItemCountById(id);
    self.sub_btn:setBtnEnable(num >= DataCenter.runesUtil.smelt_value);
    self.show_num.text = LanUtil.formateStr(126833, tostring(num), tostring(DataCenter.runesUtil.smelt_value));

    self.sub_btn:addClickFuntion(self, self.onSubBtnClick);
end

function Lua_RunesSmeltRewardWindow:dispose()
    if self.itemIcon ~= nil then
        self.itemIcon:dispose();
        self.itemIcon = nil;
    end
    self.data = nil;
    self:superCall("dispose");
end

function Lua_RunesSmeltRewardWindow:onItemClick()
    Lua_WindowUtil.openWin("Lua_RunesRecastSkillDesWindow", Lua_WinParam.ACTION_OPEN, self.data);
end

function Lua_RunesSmeltRewardWindow:onSubBtnClick()
    Lua_ProxyManager.getProxy("Lua_RunesProxy"):sRunesTexchange();
    self:hide();
end