-- 战法 属性对比item
Lua_TacticAttrCompareItem = class("Lua_TacticAttrCompareItem", Lua_DisplayObject);

function Lua_TacticAttrCompareItem:ctor(p, showType)
    self.showType = showType;
    self:superCall("ctor", p, "TacticAttrCompareItem_skin");
end

function Lua_TacticAttrCompareItem:buildShowItem()
    self:superCall("buildShowItem");

    if self.showType == 2 then
        self.bg:setEnable(false);
    end

    self.leftItem = Lua_TacticAttributeItem.new(self.content, self.showType);
end

function Lua_TacticAttrCompareItem:setData(attrVo)
    self.leftItem:setData(attrVo);

    if attrVo.nextValue > 0  then
        if self.rightItem == nil then
            self.rightItem = Lua_TacticAttributeItem.new(self.content, self.showType);
        end
        self.rightItem:setData(attrVo, true);
        self.rightItem:setEnable(true);

        self.leftItem:setLocation(-235, 0, 0);
        self.rightItem:setLocation(100, 0, 0);
    else
        if self.rightItem ~= nil then
            self.rightItem:setEnable(false);
        end
        self.leftItem:setLocation(-70, 0, 0);
    end
    self.arrowIcon:setEnable(attrVo.nextValue > 0);
end

function Lua_TacticAttrCompareItem:dispose()
    if self.leftItem ~= nil then
        self.leftItem:dispose();
        self.leftItem = nil;
    end
    if self.rightItem ~= nil then
        self.rightItem:dispose();
        self.rightItem = nil;
    end
    self:superCall("dispose");
end