-- 战法 属性item
Lua_TacticAttributeItem = class("Lua_TacticAttributeItem", Lua_DisplayObject);

function Lua_TacticAttributeItem:ctor(p, showType)
    self.showType = showType;
    self:superCall("ctor", p, "TacticAttributeItem_skin");
end

function Lua_TacticAttributeItem:buildShowItem()
    self:superCall("buildShowItem");

    if self.showType == 1 then
        self.iconSp:SetDimensions(35, 39);
        self.iconSp:setScale(0.9, 0.9, 0.9);
        self.attrTxt.fontSize = 20;
    elseif self.showType == 2 then
        self.iconSp:SetDimensions(35, 39);
        self.iconSp:setScale(0.8, 0.8, 0.8);
        self.attrTxt.fontSize = 20;
        self.attrTxt.effectStyle = 2;
        self.attrTxt.effectColorStr = Lua_ColorDefine.transColor("070809");
        self.attrTxt:setEffectDistance(2, 2);
    elseif self.showType == 3 then
        self.iconSp:SetDimensions(35, 39);
        self.iconSp:setScale(0.8, 0.8, 0.8);
        self.attrTxt.fontSize = 20;
    end
end

function Lua_TacticAttributeItem:setData(attrVo, showNext)
    if self.showType == 1 or self.showType == 3 then
        self.iconSp:setAltas("common_altas_2", attrVo.hero_attr_icon);
        if showNext then
            self.attrTxt.text = LanUtil.formateStr(792011, attrVo.show_name, attrVo.showNextValue);
        else
            self.attrTxt.text = LanUtil.formateStr(792011, attrVo.show_name, attrVo.showValue);
        end 
    elseif self.showType == 2 then
        self.iconSp:setAltas("common_altas_2", attrVo.hero_attr_icon);
        if showNext then
            self.attrTxt.text = LanUtil.formateStr(792012, attrVo.show_name, attrVo.showNextValue);
        else
            self.attrTxt.text = LanUtil.formateStr(792012, attrVo.show_name, attrVo.showValue);
        end
    elseif self.showType == 4 then
        self.iconSp:setAltas("common_altas_2", attrVo.attr_icon_2);
        self.attrTxt.text = LanUtil.formateStr(792013, attrVo.show_name, attrVo.showValue);
    else
        self.iconSp:setAltas("common_altas_2", attrVo.attr_icon_2);
        self.attrTxt.text = LanUtil.formateStr(792014, attrVo.show_name, attrVo.showValue);
    end

end

function Lua_TacticAttributeItem:dispose()
    self:superCall("dispose");
end