-- 战法养成 Panel
Lua_TacticDevelopBasePanel = class("Lua_TacticDevelopBasePanel", Lua_DisplayObject);

function Lua_TacticDevelopBasePanel:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_TacticDevelopBasePanel:dispose()
    if self.starArr ~= nil then
        self.starArr:dispose();
        self.starArr = nil;
    end
    self:superCall("dispose");
end

function Lua_TacticDevelopBasePanel:showStar(num, maxStar)
    if self.starArr == nil then
        self.starArr = Array();
    end

    local len = self.starArr:getSize();
    local count = len > maxStar and len or maxStar;
    local item;
    local starWidth = 42;
    for i = 1, count do
        item = self.starArr[i];
        if item == nil then
            item = UICreate.createUIAtlasImage(self.content, "common_altas_4", "xui_common_label_15", 0, 0, 0, 0);
            item.anchorValue = 1;
            self.starArr:add(item);
        end

        if maxStar >= i then
            if num >= i then
                item:setAltas("common_altas_4", "xui_common_label_15");
            else
                item:setAltas("common_altas_4", "xui_common_label_32");
            end
            item:resetSize();
            item:setLocation((i - 1) * starWidth - (maxStar - 1) / 2 * starWidth, -210, 0);
        end
        item:setEnable(maxStar >= i);
    end
end