-- 战法 技能图标item
Lua_TacticSkillIconItem = class("Lua_TacticSkillIconItem", Lua_DisplayObject);

function Lua_TacticSkillIconItem:ctor(p)
    self:superCall("ctor", p, "TacticSkillIconItem_skin");
end

function Lua_TacticSkillIconItem:buildShowItem()
    self:superCall("buildShowItem");

    self.skillicon:addClickFuntion(self, self.onIconClick);
end

function Lua_TacticSkillIconItem:setData(skillId, starNum)
    self.starNum = starNum;

    self.skillVo = Lua_SkillConfigData.getConfigData(skillId);
    self.skillicon:setAltas(self.skillVo.atlas, self.skillVo.sprite);
    self.levelTxt.text = self.skillVo.level;
end

function Lua_TacticSkillIconItem:dispose()
    self:superCall("dispose");
end

function Lua_TacticSkillIconItem:onIconClick()
    Lua_WindowUtil.openWin("Lua_TacticSkillTipsWindow", Lua_WinParam.ACTION_OPEN, {skillVo = self.skillVo, starNum = self.starNum});
end