-- 战技
checkRequire("Lua_TalentStudyPanel");--领悟
checkRequire("Lua_TalentPackPanel");--战技背包
Lua_TalentStudyWindow = class("Lua_TalentStudyWindow", Lua_Window);
function Lua_TalentStudyWindow:ctor()
    self:superCall("ctor");
    self.showClose = false;
    self.isClickClose = true;
    self.showBlackMask = true;
    self.windowName = "Lua_TalentStudyWindow";
    self.skinName="TalentStudyWindow_skin";
end

function Lua_TalentStudyWindow:buildShowItem()
    self:superCall("buildShowItem");
    self.panelObjTab = {};
    self.tabInfo = Array();
    self.tabInfo:add({textStr = LanUtil.getValue(126865), panel = Lua_TalentStudyPanel});
    self.tabInfo:add({textStr = LanUtil.getValue(126866), panel = Lua_TalentPackPanel});

    self.btnList = Lua_ButtonList.new(self.content, Lua_AxisDefine.Horizontal);
    self.btnList:setLocation(0, -434, 0);
    self.btnList:setButtonStyle("common_altas_1", "ui_common_tab_02", "ui_common_tab_02", 346, 68, 0.01, 1);
    self.btnList:setButtonText(1, 6, "5C504B", "8B5E34", 30, 30, Lua_MyUISettings.huakangFontName, UnityEngine.FontStyle.Normal);
    self.btnList:setButtonLine("common_altas_1", "ui_common_line_013", 0, 0, 0, -3);
    -- self.btnList:setRedPoint(50, 25);
    self.btnList:setButtonItem(329, 68);
    self.btnList:setClickCallBack(self, self.onTabBtnClick);
    self.btnList:setData(self.tabInfo);
end

function Lua_TalentStudyWindow:showWin(param)
    self:superCall("showWin",param);
    -- param.part  --部位
    -- hero_uid    --英雄唯一id
    -- talent_list --战技推荐列表
    DataCenter.talentData:updateTalentStudyRedDotState(param.hvo, param.part, false);--取消红点
    self.btnList:setSelected(1);
end

function Lua_TalentStudyWindow:onTabBtnClick(val)
	if self.selectTabIndex == val then
        return;
    end

    -- 隐藏旧的
    self.panel = self.panelObjTab[self.selectTabIndex];
    if self.panel ~= nil then
        self.panel:setEnable(false);
    end

    self.selectTabIndex = val;
    self.panel = self.panelObjTab[val];
    if self.panelObjTab[val] == nil then
        local showPanel = self.tabInfo[val].panel;
        self.panel = showPanel.new(self.content);
        self.panelObjTab[val] = self.panel;
    end

    self.panel:setEnable(true);
    if self.panel.updateShowInfo ~= nil then
        self.panel:updateShowInfo(self.showData);
    end
end

function Lua_TalentStudyWindow:dispose()
    if self.btnList ~= nil then
        self.btnList:dispose();
        self.btnList = nil;
    end

    if self.panelObjTab ~= nil then
        for idx, panelObj in pairs(self.panelObjTab) do
            panelObj:dispose();
            self.panelObjTab[idx] = nil;
        end
        self.panelObjTab = nil;
    end
    self:superCall("dispose");
end
